From eafd6c1772858f30b6515fb9f434c01d59912a31 Mon Sep 17 00:00:00 2001
From: Florent Pruvost <florent.pruvost@inria.fr>
Date: Thu, 28 Nov 2024 15:02:48 +0100
Subject: [PATCH] - simplification in test.sh - fix a cppcheck option in
 analysis.sh. - narrow the focus for sonarqube coverage (gpucublas,
 gpuhipblas)

---
 .gitlab/test.sh       | 11 +++--------
 tools/analysis.sh     |  5 +++--
 tools/find_sources.sh |  2 +-
 3 files changed, 7 insertions(+), 11 deletions(-)

diff --git a/.gitlab/test.sh b/.gitlab/test.sh
index 7b0e43268..0a4a8639f 100755
--- a/.gitlab/test.sh
+++ b/.gitlab/test.sh
@@ -1,16 +1,11 @@
 #!/usr/bin/env bash
 
-fatal() {
-    echo "$0: error occurred, exit"
-    exit 1
-}
-
+set -e
 set -x
 
 cd build-$VERSION
-source ../.gitlab-ci-env.sh $CHAM_CI_ENV_ARG || fatal
-CTESTCOMMAND=`echo "ctest --output-on-failure --no-compress-output $TESTS_RESTRICTION -T Test --output-junit ../${LOGNAME}-junit.xml"`
-$CTESTCOMMAND || fatal
+source ../.gitlab-ci-env.sh $CHAM_CI_ENV_ARG
+ctest --output-on-failure --no-compress-output $TESTS_RESTRICTION --output-junit ../${LOGNAME}-junit.xml
 if [[ "$SYSTEM" == "linux" ]]; then
   # clang is used on macosx and it is not compatible with MORSE_ENABLE_COVERAGE=ON
   # so that we can only make the coverage report on the linux runner with gcc
diff --git a/tools/analysis.sh b/tools/analysis.sh
index a656a4c97..a5dd55454 100755
--- a/tools/analysis.sh
+++ b/tools/analysis.sh
@@ -23,7 +23,8 @@
 # - consider generated files in ${BUILDDIR}
 # - exclude base *z* files to avoid duplication
 # - exclude cblas.h and lapacke-.h because not really part of chameleon and make cppcheck analysis too long
-
+set -e
+set -x
 if [ $# -gt 0 ]
 then
     BUILDDIR=$1
@@ -37,7 +38,7 @@ $TOOLSDIR/find_sources.sh
 export UNDEFINITIONS="-UCHAMELEON_USE_OPENCL -UWIN32 -UWIN64 -U_MSC_EXTENSIONS -U_MSC_VER -U__SUNPRO_C -U__SUNPRO_CC -U__sun -Usun -U__cplusplus"
 
 # run cppcheck analysis
-CPPCHECK_OPT=" -v -f --language=c --platform=unix64 --enable=all --xml --xml-version=2 --suppress=missingInclude ${UNDEFINITIONS}"
+CPPCHECK_OPT=" -v -f --language=c --platform=unix64 --enable=all --xml --xml-version=2 --suppress=missingIncludeSystem ${UNDEFINITIONS}"
 cppcheck $CPPCHECK_OPT --file-list=./filelist_none.txt 2> chameleon_cppcheck.xml
 cppcheck $CPPCHECK_OPT -DPRECISION_s -UPRECISION_d -UPRECISION_c -UPRECISION_z --file-list=./filelist_s.txt 2>> chameleon_cppcheck.xml
 cppcheck $CPPCHECK_OPT -DPRECISION_d -UPRECISION_s -UPRECISION_c -UPRECISION_z --file-list=./filelist_d.txt 2>> chameleon_cppcheck.xml
diff --git a/tools/find_sources.sh b/tools/find_sources.sh
index 1119c0b5d..7731851cb 100755
--- a/tools/find_sources.sh
+++ b/tools/find_sources.sh
@@ -12,7 +12,7 @@
 #
 #set -x
 
-SRCDIR_TO_ANALYZE="build-openmp/runtime/openmp build-parsec/runtime/parsec build-quark/runtime/quark build-starpu build compute control coreblas example include runtime testing"
+SRCDIR_TO_ANALYZE="build-openmp/runtime/openmp build-parsec/runtime/parsec build-quark/runtime/quark build-starpu compute control coreblas example include runtime testing"
 
 echo $PWD
 rm -f filelist.txt
-- 
GitLab